Subject: bug#72625: emacs-magit: autoload issue

From: Nicolas Goaziou <[email-masked]>
Date: Tue, 20 Aug 2024 10:12:17 +0200

Hello,

Christopher Howard <[email-masked]> writes:

> Recipe:
>
> 1. Make sure emacs-magit is already install.
> 2. In Emacs, go to an info manual (e.g., C-h r)
> 3. Position point on a menu link and press <ENTER>
>
> This attempts to trigger some magit advice, but that fails with this error:
>
> ```
> Debugger entered--Lisp error: (error "Autoloading file /gnu/store/fllbaw3s1i7b7f970pz3inmflgc5kb0w-emacs-magit-3.3.0-8.538cb2f/share/emacs/site-lisp/magit-3.3.0-8.538cb2f/magit-base.elc failed to define function Info-follow-nearest-node--magit-gitman")
>   Info-follow-nearest-node--magit-gitman(#f(advice Info-follow-nearest-node@gitman :around #<subr Info-follow-nearest-node>) nil)
>   apply(Info-follow-nearest-node--magit-gitman #f(advice Info-follow-nearest-node@gitman :around #<subr Info-follow-nearest-node>) nil)
>   Info-follow-nearest-node(nil)
>   funcall-interactively(Info-follow-nearest-node nil)
>   command-execute(Info-follow-nearest-node)
> ```
>
> Maybe magit-base.elc is compiled wrong somehow...?
>
> I see magit 4.0 was just released, so if somebody wants to update the
> package, maybe the problem would go away.

Magit was updated to 4.0 a few hours ago. I cannot reproduce it (but
I didn't try before the update). Did this change anything on your side?

Regards,
-- 
Nicolas Goaziou